# Pepperminty Wiki Module API

# modulesfeature-history.php

Package
  \Default

## Tags

None found

## Functions

### history_add_revision()

    history_add_revision(object  $pageinfo, string  $newsource, string  $oldsource, boolean  $save_pageindex = true, string  $change_type = "edit")

Adds a history revision against a page.

Note: Does not updaate the current page content! This function only records a new revision against a page name. Thus it is possible to have a disparaty between the history revisions and the actual content displayed in the current revision if you're not careful!

#### Parameters

object | $pageinfo | The pageindex object of the page to operate on.
string | $newsource | The page content to save as the new revision.
string | $oldsource | The old page content that is the current revision (before the update).
boolean | $save_pageindex | Whether the page index should be saved to disk.
string | $change_type | The type of change to record this as in the history revision log

#

File
  modules/feature-history.php

## Tags

package | Default

###